Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.core.constraint
Class Confidentiality

    java.lang.Object
      net.jini.core.constraint.Confidentiality

All Implemented Interfaces:
  InvocationConstraint, Serializable

public final class Confidentiality
extends Object
implements InvocationConstraint, Serializable

Represents a constraint on the confidentiality of message contents.

Serialization for this class is guaranteed to produce instances that are comparable with `==`.

Since:
  2.0
See Also:
  Serialized Form

Field Summary
`static Confidentiality` | `NO` Transmit message contents in the clear (no use of encryption).
`static Confidentiality` | `YES` Transmit message contents so that they cannot easily be interpreted by third parties (typically by using encryption).

Method Summary
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### YES

    public static final Confidentiality YES

  Transmit message contents so that they cannot easily be interpreted by third parties (typically by using encryption). The mechanisms used to maintain confidentiality are not specified by this constraint.

### NO

    public static final Confidentiality NO

  Transmit message contents in the clear (no use of encryption).

  Normally this constraint should not be used unless there is an organizational policy that data must be transmitted in the clear.

Method Detail

### toString

    public String toString()

  Returns a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved